# Integrating OpenStack Cinder with SolidFire Storage

This tutorial describes mechanism to enable OpenStack Cinder integration between Platform9 and your SolidFire storage array. Please also refer to the [video here](https://www.youtube.com/watch?v=NQiJXrkn_gk) for a demo of this integration.

For a tutorial on general Cinder integration with Platform9 please refer to [Supported Storage Integrations](/managed-openstack/5.8/volumes-and-snapshots/storage-cinder-integrations.md).

By default a Platform9 Managed OpenStack host enabled with block storage role uses Cinder driver for LVM (Linux Logical Volume manager). This example shows how to enable the SolidFire driver to integrate with a SolidFire storage appliance.

### Requirements

* This guide applies to Platform9 Managed OpenStack for KVM
* You have one, and only one, host with the block storage role
* You have the information necessary to connect to the storage appliance and authenticate with it

### Step 1

Log in as root onto the Linux host to which you have assigned Cinder block storage role.

### Step 2

Change directory to `/opt/pf9/etc/pf9-cindervolume-base/conf.d`

### Step 3

Create a file named **cinder\_override.conf** with a `[DEFAULT]` section and per-backend sections containing configuration settings specifying the name of the Cinder driver and the parameters required to connect to the storage array. This example shows a sample configuration for SolidFire:

{% tabs %}
{% tab title="cinder\_override.conf" %}

```yaml
[DEFAULT]
enabled_backends = solidfire
[solidfire]
volume_driver = cinder.volume.drivers.solidfire.SolidFireDriver
volume_backend = solidfire_backend
san_ip = 10.0.0.8
san_login = your_username
san_password = your_password
sf_account_prefix = ''
```

{% endtab %}
{% endtabs %}

It is important to append the name of the config group (e.g. `solidfire` ) to the list of `enabled_backends` . Otherwise, Cinder ignores that particular config group.

### Step 4

Restart the `pf9-cindervolume service` . For example, on Enterprise Linux operating systems e.g. CentOS:

{% tabs %}
{% tab title="Shell" %}

```bash
service pf9-cindervolume-base restart
```

{% endtab %}
{% endtabs %}

At this point, your Cinder block storage integration between Platform9 Managed OpenStack and SolidFire is complete! You should be able to leverage OpenStack features such as creating volumes and snapshots, mounting volumes on virtual machines, booting virtual machines using volumes, etc. [This article ](https://github.com/platform9/pcd-docs-gitbook/blob/main/openstack/storage-cinder-integrations/README.md)describes a general workflow around using OpenStack Cinder with Platform9.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/managed-openstack/5.8/volumes-and-snapshots/volumes-and-snapshots-cinder-solidfire.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
